Recent searches is recording each keystroke, creates cluttered useless recent list
Closed, ResolvedPublic

Description

Formerly the app only recorded a term:

  • if you actually made a selection: iirc this heuristic was used because the user found the term useful enough to make a selection, and may want to make another selection from the same term's results. i.e. if the user didn't choose a result, why would they want to run that same search again?

https://github.com/wikimedia/wikipedia-ios/blob/e821d5741a5fce2add711543be60eb64377b791c/wikipedia/View%20Controllers/SearchResults/SearchResultsController.m#L605

  • if you cleared the search text box:

https://github.com/wikimedia/wikipedia-ios/blob/e821d5741a5fce2add711543be60eb64377b791c/wikipedia/View%20Controllers/Navigation/Top/TopMenuViewController.m#L638

  • if you hit cancel:

https://github.com/wikimedia/wikipedia-ios/blob/e821d5741a5fce2add711543be60eb64377b791c/wikipedia/View%20Controllers/Navigation/Top/TopMenuViewController.m#L570

Mhurd created this task.Sep 1 2015, 7:07 PM
Mhurd updated the task description. (Show Details)
Mhurd raised the priority of this task from to Needs Triage.
Mhurd moved this task to Needs Estimation on the Wikipedia-iOS-App-Backlog board.
Mhurd added a subscriber: Mhurd.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2015, 7:07 PM
Mhurd updated the task description. (Show Details)Sep 1 2015, 7:09 PM
Mhurd set Security to None.
Mhurd updated the task description. (Show Details)Sep 1 2015, 7:11 PM
Mhurd updated the task description. (Show Details)Sep 3 2015, 12:43 AM
Mhurd updated the task description. (Show Details)
Mhurd updated the task description. (Show Details)
Mhurd updated the task description. (Show Details)Sep 3 2015, 12:45 AM
Mhurd updated the task description. (Show Details)

Yes, I had my old test case for Recent searches - "intermediary" searches were displayed in Recent when, say, 'chris' was typed slowly (the screenshot made on Sep18/2015) .

Checked the fix with 5.0.0 (411) on iPad mini iOS 8.2 and iPhone 5 iOS 9.02. Only the final result of typed search criteria will be presented in Recent searches.

JMinor closed this task as Resolved.Nov 18 2015, 9:05 PM
JMinor added a project: iOS-app-v5-alpha.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 18 2015, 9:05 PM